{"openapi":"3.1.0","info":{"description":"Orkes Conductor API Server","title":"Orkes Conductor API Server","version":"v2"},"servers":[{"url":"https://developer.orkescloud.com","description":"Generated server url"}],"security":[{"api_key":[]}],"paths":{"/api/a2a/agent-card":{"post":{"operationId":"getAgentCard","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A2AAgentCardRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/A2AAgentCardResult"}}},"description":"OK"}},"tags":["a-2-a-callback-resource"]}},"/api/a2a/callback/{taskId}":{"post":{"operationId":"onPushNotification","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"header","name":"Authorization","required":false,"schema":{"type":"string"}},{"in":"header","name":"X-Conductor-A2A-Token","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonNode"}}}},"responses":{"200":{"description":"OK"}},"tags":["a-2-a-callback-resource"]}},"/api/admin/cache/clear/{taskDefName}":{"post":{"operationId":"clearTaskExecutionCache","parameters":[{"in":"path","name":"taskDefName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Remove execution cached values for the task","tags":["admin-resource"]}},"/api/admin/consistency/verifyAndRepair/{workflowId}":{"post":{"operationId":"verifyAndRepairWorkflowConsistency","parameters":[{"in":"path","name":"workflowId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/plain":{"schema":{"type":"string"}}},"description":"OK"}},"summary":"Verify and repair workflow consistency","tags":["admin-resource"]}},"/api/admin/redisUsage":{"get":{"operationId":"getRedisUsage","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"summary":"Get details of redis usage","tags":["admin-resource"]}},"/api/admin/sweep/requeue/{workflowId}":{"post":{"operationId":"requeueSweep","parameters":[{"in":"path","name":"workflowId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/plain":{"schema":{"type":"string"}}},"description":"OK"}},"summary":"Queue up all the running workflows for sweep","tags":["admin-resource"]}},"/api/admin/task/{tasktype}":{"get":{"operationId":"view","parameters":[{"in":"path","name":"tasktype","required":true,"schema":{"type":"string"}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"in":"query","name":"count","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Task"}}}},"description":"OK"}},"summary":"Get the list of pending tasks for a given task type","tags":["admin-resource"]}},"/api/agent/compile":{"post":{"operationId":"compileAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentStartRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompileResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/definitions/{name}":{"get":{"operationId":"getAgentDefinition","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkflowDef"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/deploy":{"post":{"operationId":"deployAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentStartRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgentStartResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/events/{executionId}":{"post":{"operationId":"pushFrameworkEvent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/execution":{"post":{"operationId":"createTrackingExecution","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTrackingWorkflowRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateTrackingWorkflowResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/execution/{executionId}":{"get":{"operationId":"getExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgentRun"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/execution/{executionId}/complete":{"post":{"operationId":"completeTrackingExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions":{"get":{"operationId":"searchAgentExecutions","parameters":[{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"in":"query","name":"size","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"in":"query","name":"sort","required":false,"schema":{"type":"string","default":"startTime:DESC"}},{"in":"query","name":"freeText","required":false,"schema":{"type":"string"}},{"in":"query","name":"status","required":false,"schema":{"type":"string"}},{"in":"query","name":"agentName","required":false,"schema":{"type":"string"}},{"in":"query","name":"sessionId","required":false,"schema":{"type":"string"}},{"in":"query","name":"classifier","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/bulk/pause":{"put":{"operationId":"bulkPause","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/bulk/restart":{"post":{"operationId":"bulkRestart","parameters":[{"in":"query","name":"useLatestDefinitions","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/bulk/resume":{"put":{"operationId":"bulkResume","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/bulk/retry":{"post":{"operationId":"bulkRetry","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/bulk/terminate":{"post":{"operationId":"bulkTerminate","parameters":[{"in":"query","name":"reason","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/prune":{"post":{"operationId":"pruneExecutions","parameters":[{"in":"query","name":"olderThanDays","required":false,"schema":{"type":"integer","format":"int32","default":30}},{"in":"query","name":"archiveTasks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/search":{"get":{"operationId":"searchExecutionsRaw","parameters":[{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"in":"query","name":"size","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"in":"query","name":"sort","required":false,"schema":{"type":"string","default":"startTime:DESC"}},{"in":"query","name":"freeText","required":false,"schema":{"type":"string"}},{"in":"query","name":"query","required":false,"schema":{"type":"string"}},{"in":"query","name":"classifier","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchResultWorkflowSummary"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}":{"delete":{"operationId":"terminateExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"reason","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]},"get":{"operationId":"getExecutionDetail","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgentExecutionDetail"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/full":{"get":{"operationId":"getFullExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/Workflow"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/record":{"delete":{"operationId":"deleteExecutionRecord","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"archiveTasks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/rerun":{"post":{"operationId":"rerunExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RerunWorkflowRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"string"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/restart":{"post":{"operationId":"restartExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"useLatestDefinitions","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/retry":{"post":{"operationId":"retryExecution","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"resumeSubworkflowTasks","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/executions/{executionId}/tasks":{"get":{"operationId":"getExecutionTasks","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"status","required":false,"schema":{"type":"string"}},{"in":"query","name":"count","required":false,"schema":{"type":"integer","format":"int32","default":15}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/TaskListResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/inspect-plan":{"post":{"operationId":"inspectPlan","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InspectPlanRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/InspectResult"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/list":{"get":{"operationId":"listAgents","responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AgentSummary"}}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/start":{"post":{"operationId":"startAgent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentStartRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgentStartResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/stream/{executionId}":{"get":{"operationId":"streamAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"header","name":"Last-Event-ID","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/SseEmitter"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/tasks/{executionId}/{refTaskName}/{status}":{"post":{"operationId":"updateTaskStatus","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"path","name":"refTaskName","required":true,"schema":{"type":"string"}},{"in":"path","name":"status","required":true,"schema":{"type":"string"}},{"in":"query","name":"workerid","required":false,"schema":{"type":"string","default":"agent-ui"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/tasks/{taskId}/log":{"get":{"operationId":"getTaskLogs_1","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskExecLog"}}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/cancel":{"delete":{"operationId":"cancelAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"in":"query","name":"reason","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/pause":{"put":{"operationId":"pauseAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/respond":{"post":{"operationId":"respondToAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/resume":{"put":{"operationId":"resumeAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/signal":{"post":{"operationId":"signalAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/status":{"get":{"operationId":"getAgentStatus","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgentStatusResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/stop":{"post":{"operationId":"stopAgent","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{executionId}/tasks":{"post":{"operationId":"injectTask","parameters":[{"in":"path","name":"executionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InjectTaskRequest"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/InjectTaskResponse"}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/agent/{name}":{"delete":{"operationId":"deleteAgent","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"tags":["orkes-agent-controller"]},"get":{"operationId":"getAgentDef","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"tags":["orkes-agent-controller"]}},"/api/applications":{"get":{"operationId":"listApplications","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedConductorApplication"}}}},"description":"OK"}},"summary":"Get all applications","tags":["application-resource"]},"post":{"operationId":"createApplication","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateApplicationRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create an application","tags":["application-resource"]}},"/api/applications/key/{accessKeyId}":{"get":{"operationId":"getAppByAccessKeyId","parameters":[{"in":"path","name":"accessKeyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get application id by access key id","tags":["application-resource"]}},"/api/applications/{applicationId}/accessKeys/{keyId}":{"delete":{"operationId":"deleteAccessKey","parameters":[{"in":"path","name":"applicationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"keyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Delete an access key","tags":["application-resource"]}},"/api/applications/{applicationId}/accessKeys/{keyId}/status":{"post":{"operationId":"toggleAccessKeyStatus","parameters":[{"in":"path","name":"applicationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"keyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Toggle the status of an access key","tags":["application-resource"]}},"/api/applications/{applicationId}/roles/{role}":{"delete":{"operationId":"removeRoleFromApplicationUser","parameters":[{"in":"path","name":"applicationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"role","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["application-resource"]},"post":{"operationId":"addRoleToApplicationUser","parameters":[{"in":"path","name":"applicationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"role","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["application-resource"]}},"/api/applications/{id}":{"delete":{"operationId":"deleteApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Delete an application","tags":["application-resource"]},"get":{"operationId":"getApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get an application by id","tags":["application-resource"]},"put":{"operationId":"updateApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateApplicationRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Update an application","tags":["application-resource"]}},"/api/applications/{id}/accessKeys":{"get":{"operationId":"getAccessKeys","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get application's access keys","tags":["application-resource"]},"post":{"operationId":"createAccessKey","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create an access key for an application","tags":["application-resource"]}},"/api/applications/{id}/tags":{"delete":{"operationId":"deleteTagForApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for application","tags":["application-resource"]},"get":{"operationId":"getTagsForApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by application","tags":["application-resource"]},"put":{"operationId":"putTagForApplication","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to application","tags":["application-resource"]}},"/api/audit/entity-types":{"get":{"operationId":"getSupportedEntityTypes","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"description":"OK"}},"summary":"Get list of supported entity types for audit logs","tags":["audit-resource"]}},"/api/audit/search":{"get":{"operationId":"searchAuditLogs","parameters":[{"in":"query","name":"entityType","required":false,"schema":{"type":"string"}},{"in":"query","name":"entityId","required":false,"schema":{"type":"string"}},{"in":"query","name":"userId","required":false,"schema":{"type":"string"}},{"in":"query","name":"action","required":false,"schema":{"type":"string"}},{"in":"query","name":"startTime","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"endTime","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"in":"query","name":"size","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResultAuditLog"}}},"description":"OK"}},"summary":"Search audit logs with filters","tags":["audit-resource"]}},"/api/audit/{entityType}/{entityId}":{"get":{"operationId":"getAuditLogsByEntity","parameters":[{"in":"path","name":"entityType","required":true,"schema":{"type":"string"}},{"in":"path","name":"entityId","required":true,"schema":{"type":"string"}},{"in":"query","name":"startTime","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"endTime","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"in":"query","name":"size","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchResultAuditLog"}}},"description":"OK"}},"summary":"Get audit log change history for a specific resource","tags":["audit-resource"]}},"/api/auth/authorization":{"delete":{"operationId":"removePermissions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizationRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"OK"}},"summary":"Remove user's access over the target","tags":["authorization-resource"]},"post":{"operationId":"grantPermissions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizationRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"OK"}},"summary":"Grant access to a user over the target","tags":["authorization-resource"]}},"/api/auth/authorization/{type}/{id}":{"get":{"operationId":"getPermissions","parameters":[{"in":"path","name":"type","required":true,"schema":{"type":"string","enum":["WORKFLOW","WORKFLOW_DEF","AGENT","AGENT_EXECUTION","AGENT_TASK","WORKFLOW_SCHEDULE","EVENT_HANDLER","TASK_DEF","TASK_REF_NAME","TASK_ID","APPLICATION","USER","SECRET_NAME","ENV_VARIABLE","TAG","DOMAIN","INTEGRATION_PROVIDER","INTEGRATION","PROMPT","USER_FORM_TEMPLATE","SCHEMA","CLUSTER_CONFIG","WEBHOOK","API_GATEWAY_SERVICE","API_GATEWAY_SERVICE_ROUTE","AUTH_CONFIG","GROUP","ROLE","SERVICE_REGISTRY"]}},{"in":"path","name":"id","required":true,"schema":{"type":"string"}},{"description":"access (default) | subject","in":"query","name":"groupBy","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get the access that have been granted over the given object. Defaults to access-keyed {access -> subjects}. Pass groupBy=subject for the subject-keyed {subject -> accesses} form.","tags":["authorization-resource"]}},"/api/auth/subjects/{subjectType}/{subjectId}/grants":{"delete":{"operationId":"revokeSubjectGrants","parameters":[{"in":"path","name":"subjectType","required":true,"schema":{"type":"string","enum":["USER","ROLE","GROUP"]}},{"in":"path","name":"subjectId","required":true,"schema":{"type":"string"}},{"in":"query","name":"resourceType","required":false,"schema":{"type":"string","enum":["WORKFLOW","WORKFLOW_DEF","AGENT","AGENT_EXECUTION","AGENT_TASK","WORKFLOW_SCHEDULE","EVENT_HANDLER","TASK_DEF","TASK_REF_NAME","TASK_ID","APPLICATION","USER","SECRET_NAME","ENV_VARIABLE","TAG","DOMAIN","INTEGRATION_PROVIDER","INTEGRATION","PROMPT","USER_FORM_TEMPLATE","SCHEMA","CLUSTER_CONFIG","WEBHOOK","API_GATEWAY_SERVICE","API_GATEWAY_SERVICE_ROUTE","AUTH_CONFIG","GROUP","ROLE","SERVICE_REGISTRY"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"OK"}},"summary":"Revoke every per-instance ACL a subject has, optionally scoped to one resource type. Useful for cleanup when a role-level authority (e.g. SECRET_MANAGEMENT) is revoked and the sticky per-instance grants must also be cleared.","tags":["authorization-resource"]},"get":{"operationId":"listSubjectGrants","parameters":[{"in":"path","name":"subjectType","required":true,"schema":{"type":"string","enum":["USER","ROLE","GROUP"]}},{"in":"path","name":"subjectId","required":true,"schema":{"type":"string"}},{"in":"query","name":"resourceType","required":false,"schema":{"type":"string","enum":["WORKFLOW","WORKFLOW_DEF","AGENT","AGENT_EXECUTION","AGENT_TASK","WORKFLOW_SCHEDULE","EVENT_HANDLER","TASK_DEF","TASK_REF_NAME","TASK_ID","APPLICATION","USER","SECRET_NAME","ENV_VARIABLE","TAG","DOMAIN","INTEGRATION_PROVIDER","INTEGRATION","PROMPT","USER_FORM_TEMPLATE","SCHEMA","CLUSTER_CONFIG","WEBHOOK","API_GATEWAY_SERVICE","API_GATEWAY_SERVICE_ROUTE","AUTH_CONFIG","GROUP","ROLE","SERVICE_REGISTRY"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"List every per-instance ACL entry a subject has, optionally filtered by resource type. Admin-only unless the caller is listing their own grants.","tags":["authorization-resource"]}},"/api/environment":{"get":{"operationId":"listAllEnvironmentVariables","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnvironmentVariable"}}}},"description":"OK"}},"summary":"List all the environment variables","tags":["environment-resource"]}},"/api/environment/{key}":{"delete":{"operationId":"deleteEnvVariable","parameters":[{"in":"path","name":"key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"description":"OK"}},"summary":"Delete an environment variable (requires metadata or admin role)","tags":["environment-resource"]},"get":{"operationId":"get","parameters":[{"in":"path","name":"key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"description":"OK"}},"summary":"Get the environment value by key","tags":["environment-resource"]},"put":{"operationId":"createOrUpdateEnvVariable","parameters":[{"in":"path","name":"key","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create or update an environment variable (requires metadata or admin role)","tags":["environment-resource"]}},"/api/environment/{name}/tags":{"delete":{"operationId":"deleteTagForEnvVar","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for environment variable name","tags":["environment-resource"]},"get":{"operationId":"getTagsForEnvVar","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by environment variable name","tags":["environment-resource"]},"put":{"operationId":"putTagForEnvVar","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to environment variable name","tags":["environment-resource"]}},"/api/event":{"get":{"operationId":"listEventHandlers","responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventHandler"}}}},"description":"OK"}},"summary":"Get all the event handlers","tags":["event-resource"]},"post":{"operationId":"addEventHandler","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventHandler"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Add a new event handler.","tags":["event-resource"]},"put":{"operationId":"updateEventHandler","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventHandler"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Update an existing event handler.","tags":["event-resource"]}},"/api/event/execution":{"get":{"operationId":"getEventHandlersForEvent_1","responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchResultHandledEventResponse"}}},"description":"OK"}},"summary":"Get All active Event Handlers","tags":["event-execution-resource"]}},"/api/event/execution/{eventHandlerName}":{"get":{"operationId":"getEventHandlersForEvent_2","parameters":[{"in":"path","name":"eventHandlerName","required":true,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedEventExecution"}}}},"description":"OK"}},"summary":"Get event handlers for a given event","tags":["event-execution-resource"]}},"/api/event/handleIncomingEvent":{"post":{"operationId":"handleIncomingEvent","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Handle an incoming event","tags":["event-resource"]}},"/api/event/handler/":{"get":{"operationId":"test","responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventHandler"}}},"description":"OK"}},"summary":"Get event handler by name","tags":["event-resource"]}},"/api/event/handler/{name}":{"get":{"operationId":"getEventHandlerByName","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventHandler"}}},"description":"OK"}},"summary":"Get event handler by name","tags":["event-resource"]}},"/api/event/message":{"get":{"operationId":"getEvents","parameters":[{"in":"query","name":"from","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchResultHandledEventResponse"}}},"description":"OK"}},"summary":"Get all event handlers with statistics","tags":["event-message-resource"]}},"/api/event/message/{event}":{"get":{"operationId":"getMessages","parameters":[{"in":"path","name":"event","required":true,"schema":{"type":"string"}},{"in":"query","name":"from","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventMessage"}}}},"description":"OK"}},"summary":"Get event messages for a given event","tags":["event-message-resource"]}},"/api/event/queue/config":{"get":{"operationId":"getQueueNames","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"description":"OK"}},"summary":"Get all queue configs","tags":["event-resource"]}},"/api/event/queue/config/{queueType}/{queueName}":{"delete":{"operationId":"deleteQueueConfig","parameters":[{"in":"path","name":"queueType","required":true,"schema":{"type":"string"}},{"in":"path","name":"queueName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete queue config by name","tags":["event-resource"]},"get":{"operationId":"getQueueConfig","parameters":[{"in":"path","name":"queueType","required":true,"schema":{"type":"string"}},{"in":"path","name":"queueName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"summary":"Get queue config by name","tags":["event-resource"]},"put":{"deprecated":true,"operationId":"putQueueConfig","parameters":[{"in":"path","name":"queueType","required":true,"schema":{"type":"string"}},{"in":"path","name":"queueName","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create or update queue config by name","tags":["event-resource"]}},"/api/event/queue/connectivity":{"post":{"operationId":"testConnectivity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectivityTestInput"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConnectivityTestResult"}}},"description":"OK"}},"summary":"Test connectivity for a given queue using a workflow with EVENT task and an EventHandler","tags":["event-resource"]}},"/api/event/{event}":{"get":{"operationId":"getEventHandlersForEvent","parameters":[{"in":"path","name":"event","required":true,"schema":{"type":"string"}},{"in":"query","name":"activeOnly","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventHandler"}}}},"description":"OK"}},"summary":"Get event handlers for a given event","tags":["event-resource"]}},"/api/event/{name}":{"delete":{"operationId":"removeEventHandlerStatus","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Remove an event handler","tags":["event-resource"]}},"/api/event/{name}/tags":{"delete":{"operationId":"deleteTagForEventHandler","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for event handler","tags":["event-resource"]},"get":{"operationId":"getTagsForEventHandler","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by event handler","tags":["event-resource"]},"put":{"operationId":"putTagForEventHandler","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to event handler","tags":["event-resource"]}},"/api/gateway/config/auth":{"get":{"operationId":"listConfigs","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AuthenticationConfig"}}}},"description":"OK"}},"tags":["API Gateway"]},"post":{"operationId":"createConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticationConfig"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"string"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/auth/{id}":{"delete":{"operationId":"deleteConfig","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["API Gateway"]},"get":{"operationId":"getConfig","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticationConfig"}}},"description":"OK"}},"tags":["API Gateway"]},"put":{"operationId":"updateConfig","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticationConfig"}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/routes":{"get":{"operationId":"listRoutes","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceRoute"}}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/routes/grouped":{"get":{"operationId":"listRoutesByService","responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ServiceRoute"}}}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/routes/map":{"get":{"operationId":"listEndpointToServiceMapping","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GatewayEndpointMapping"}}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services":{"get":{"operationId":"listServices","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GatewayService"}}}},"description":"OK"}},"tags":["API Gateway"]},"post":{"operationId":"createService","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayService"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/metrics":{"get":{"operationId":"getMetrics","parameters":[{"in":"query","name":"serviceId","required":false,"schema":{"type":"string"}},{"in":"query","name":"method","required":false,"schema":{"type":"string"}},{"in":"query","name":"path","required":false,"schema":{"type":"string"}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"end","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"intervalSeconds","required":false,"schema":{"type":"integer","format":"int32","default":60,"minimum":1}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}":{"delete":{"operationId":"deleteService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]},"get":{"operationId":"getService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayService"}}},"description":"OK"}},"tags":["API Gateway"]},"put":{"operationId":"updateService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayService"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}/routes":{"delete":{"operationId":"deleteRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]},"get":{"operationId":"getAllRoutes","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"start","required":false,"schema":{"type":"string"}},{"in":"query","name":"end","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceRouteDetails"}}}},"description":"OK"}},"tags":["API Gateway"]},"post":{"operationId":"createRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRoute"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]},"put":{"operationId":"updateRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRoute"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}/routes/grouped":{"get":{"operationId":"getGroupedRoutes","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRoute"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}/routes/route":{"get":{"operationId":"getRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}},{"in":"query","name":"start","required":false,"schema":{"type":"string"}},{"in":"query","name":"end","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRouteDetails"}}},"description":"OK"}},"tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}/routes/tags":{"delete":{"operationId":"deleteTagsForRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete tags from gateway service route","tags":["API Gateway"]},"get":{"operationId":"getTagsForRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by gateway service route","tags":["API Gateway"]},"put":{"operationId":"putTagsForRoute","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}},{"in":"query","name":"method","required":true,"schema":{"type":"string"}},{"in":"query","name":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put tags to gateway service route","tags":["API Gateway"]}},"/api/gateway/config/services/{serviceId}/tags":{"delete":{"operationId":"deleteTagsForService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete tags from gateway service","tags":["API Gateway"]},"get":{"operationId":"getTagsForService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by gateway service","tags":["API Gateway"]},"put":{"operationId":"putTagsForService","parameters":[{"in":"path","name":"serviceId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put tags to gateway service","tags":["API Gateway"]}},"/api/global_schema":{"post":{"operationId":"save_1","parameters":[{"in":"query","name":"newVersion","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SchemaDef"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Save schema","tags":["global-schema-resource"]}},"/api/global_schema/{name}":{"get":{"operationId":"getSchemaByNameWithLatestVersion_1","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaDef"}}},"description":"OK"}},"summary":"Get schema by name with latest version","tags":["global-schema-resource"]}},"/api/groups":{"get":{"operationId":"listAllGroups","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Group"}}}},"description":"OK"}},"summary":"Get all groups","tags":["group-resource"]}},"/api/groups/{groupId}/permissions":{"get":{"operationId":"getGrantedPermissions_1","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GrantedAccessResponse"}}},"description":"OK"}},"summary":"Get the permissions this group has over workflows and tasks","tags":["group-resource"]}},"/api/groups/{groupId}/users":{"delete":{"operationId":"removeUsersFromGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Remove users from group","tags":["group-resource"]},"post":{"operationId":"addUsersToGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Add users to group","tags":["group-resource"]}},"/api/groups/{groupId}/users/{userId}":{"delete":{"operationId":"removeUserFromGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Remove user from group","tags":["group-resource"]},"post":{"operationId":"addUserToGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Add user to group","tags":["group-resource"]}},"/api/groups/{id}":{"delete":{"operationId":"deleteGroup","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}},"description":"OK"}},"summary":"Delete a group","tags":["group-resource"]},"get":{"operationId":"getGroup","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get a group by id","tags":["group-resource"]},"put":{"operationId":"upsertGroup","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpsertGroupRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create or update a group","tags":["group-resource"]}},"/api/groups/{id}/users":{"get":{"operationId":"getUsersInGroup","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Get all users in group","tags":["group-resource"]}},"/api/human/tasks/backPopulateFullTextIndex":{"get":{"operationId":"backPopulateFullTextIndex","parameters":[{"in":"query","name":"100","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"summary":"API for backpopulating index data","tags":["human-task"]}},"/api/human/tasks/delete":{"delete":{"operationId":"deleteTaskFromHumanTaskRecords","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"If the workflow is disconnected from tasks, this API can be used to clean up (in bulk)","tags":["human-task"]}},"/api/human/tasks/delete/{taskId}":{"delete":{"operationId":"deleteTaskFromHumanTaskRecords_1","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"If the workflow is disconnected from tasks, this API can be used to clean up","tags":["human-task"]}},"/api/human/tasks/getTaskDisplayNames":{"get":{"operationId":"getTaskDisplayNames","parameters":[{"in":"query","name":"searchType","required":true,"schema":{"type":"string","enum":["ADMIN","INBOX"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"description":"OK"}},"summary":"Get list of task display names applicable for the user","tags":["human-task"]}},"/api/human/tasks/search":{"post":{"operationId":"search","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskSearch"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskSearchResult"}}},"description":"OK"}},"summary":"Search human tasks","tags":["human-task"]}},"/api/human/tasks/update/taskRef":{"post":{"operationId":"updateTaskOutputByRef","parameters":[{"in":"query","name":"workflowId","required":true,"schema":{"type":"string"}},{"in":"query","name":"taskRefName","required":true,"schema":{"type":"string"}},{"in":"query","name":"complete","required":false,"schema":{"type":"boolean","default":false}},{"description":"Populate this value if your task is in a loop and you want to update a specific iteration. If its not in a loop OR if you want to just update the latest iteration, leave this as empty","in":"query","name":"iteration","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Update task output, optionally complete","tags":["human-task"]}},"/api/human/tasks/{taskId}":{"get":{"operationId":"getTask_1","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"query","name":"withTemplate","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskEntry"}}},"description":"OK"}},"summary":"Get a task","tags":["human-task"]}},"/api/human/tasks/{taskId}/claim":{"post":{"operationId":"claimTask","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"query","name":"overrideAssignment","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withTemplate","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskEntry"}}},"description":"OK"}},"summary":"Claim a task by authenticated Conductor user","tags":["human-task"]}},"/api/human/tasks/{taskId}/conductorTask":{"get":{"operationId":"getConductorTaskById","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}},"description":"OK"}},"summary":"Get Conductor task by id (for human tasks only)","tags":["human-task-resource"]}},"/api/human/tasks/{taskId}/externalUser/{userId}":{"post":{"operationId":"assignAndClaim","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"path","name":"userId","required":true,"schema":{"type":"string"}},{"in":"query","name":"overrideAssignment","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withTemplate","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskEntry"}}},"description":"OK"}},"summary":"Claim a task to an external user","tags":["human-task"]}},"/api/human/tasks/{taskId}/reassign":{"post":{"operationId":"reassignTask","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HumanTaskAssignment"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Reassign a task without completing it","tags":["human-task"]}},"/api/human/tasks/{taskId}/release":{"post":{"operationId":"releaseTask","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Release a task without completing it","tags":["human-task"]}},"/api/human/tasks/{taskId}/skip":{"post":{"operationId":"skipTask","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"query","name":"reason","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"If a task is assigned to a user, this API can be used to skip that assignment and move to the next assignee","tags":["human-task"]}},"/api/human/tasks/{taskId}/update":{"post":{"operationId":"updateTaskOutput","parameters":[{"in":"path","name":"taskId","required":true,"schema":{"type":"string"}},{"in":"query","name":"complete","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Update task output, optionally complete","tags":["human-task"]}},"/api/human/template":{"get":{"operationId":"listTemplates","parameters":[{"in":"query","name":"name","required":false,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HumanTaskTemplate"}}}},"description":"OK"}},"summary":"List all user form templates or get templates by name, or a template by name and version","tags":["user-form","human-task"]},"post":{"operationId":"saveTemplate","parameters":[{"in":"query","name":"newVersion","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskTemplate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskTemplate"}}},"description":"OK"}},"summary":"Save user form template","tags":["user-form","human-task"]}},"/api/human/template/bulk":{"post":{"operationId":"saveTemplates","parameters":[{"in":"query","name":"newVersion","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HumanTaskTemplate"}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HumanTaskTemplate"}}}},"description":"OK"}},"summary":"Save user form template","tags":["user-form","human-task"]}},"/api/human/template/{humanTaskId}":{"get":{"operationId":"getTemplateByTaskId","parameters":[{"in":"path","name":"humanTaskId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskTemplate"}}},"description":"OK"}},"summary":"Get user form by human task id","tags":["user-form","human-task"]}},"/api/human/template/{name}":{"delete":{"operationId":"deleteTemplateByName","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete all versions of user form template by name","tags":["user-form","human-task"]}},"/api/human/template/{name}/tags":{"delete":{"operationId":"deleteTagForUserFormTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for template name","tags":["user-form-template-resource"]},"get":{"operationId":"getTagsForUserFormTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by template name","tags":["user-form-template-resource"]},"put":{"operationId":"putTagForUserFormTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to template name","tags":["user-form-template-resource"]}},"/api/human/template/{name}/{version}":{"delete":{"operationId":"deleteTemplatesByNameAndVersion","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete a version of form template by name","tags":["human-task"]},"get":{"operationId":"getTemplateByNameAndVersion","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HumanTaskTemplate"}}},"description":"OK"}},"summary":"Get user form template by name and version","tags":["user-form","human-task"]}},"/api/integrations/":{"get":{"operationId":"listIntegrations","parameters":[{"in":"query","name":"category","required":false,"schema":{"type":"string"}},{"in":"query","name":"activeOnly","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Integration"}}}},"description":"OK"}},"summary":"Get all Integrations","tags":["integration-resource"]},"post":{"operationId":"saveAllIntegrations","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Integration"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Save all Integrations","tags":["integration-resource"]}},"/api/integrations/all":{"get":{"operationId":"listProvidersAndIntegrations","parameters":[{"in":"query","name":"type","required":false,"schema":{"type":"string"}},{"in":"query","name":"activeOnly","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"description":"OK"}},"summary":"Get Integrations Providers and Integrations combo","tags":["integration-resource"]}},"/api/integrations/def":{"get":{"operationId":"getIntegrationProviderDefs","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationDef"}}}},"description":"OK"}},"summary":"Get Integration provider definitions","tags":["integration-resource"]}},"/api/integrations/def/register":{"post":{"operationId":"registerIntegration","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationDef"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"upsert an integration definition","tags":["integration-resource"]}},"/api/integrations/def/{name}":{"get":{"operationId":"getIntegrationDef","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDef"}}},"description":"OK"}},"summary":"Get an integration definition","tags":["integration-resource"]}},"/api/integrations/eventStats/{type}":{"post":{"operationId":"recordEventStats","parameters":[{"in":"query","name":"type","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventLog"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Record Event Stats","tags":["integration-resource"]}},"/api/integrations/llm/{name}/token":{"get":{"operationId":"getTokenLimit","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenLimit"}}},"description":"OK"}},"summary":"Get the Token Limit for an integration","tags":["LLM"]},"post":{"operationId":"updateTokenLimit","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenLimit"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Register Token Limit for an integration","tags":["LLM"]}},"/api/integrations/llm/{name}/token/history":{"get":{"operationId":"getTokenUsage","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"model","required":false,"schema":{"type":"string","default":"*"}},{"in":"query","name":"lookUpWindow","required":false,"schema":{"type":"integer","format":"int32","default":31}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TokenUsageLog"}}}},"description":"OK"}},"summary":"Get Token Usage by Integration provider","tags":["LLM"]}},"/api/integrations/provider":{"get":{"operationId":"listIntegrationProviders","parameters":[{"in":"query","name":"category","required":false,"schema":{"type":"string"}},{"in":"query","name":"activeOnly","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Integration"}}}},"description":"OK"}},"summary":"Get all Integrations Providers","tags":["integration-resource"]}},"/api/integrations/provider/{integration_provider}/integration/{integration_name}/prompt":{"get":{"operationId":"getPromptsWithIntegration","parameters":[{"in":"path","name":"integration_provider","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MessageTemplate"}}}},"description":"OK"}},"summary":"Get the list of prompt templates associated with an integration","tags":["integration-resource"]}},"/api/integrations/provider/{integration_provider}/integration/{integration_name}/prompt/{prompt_name}":{"post":{"operationId":"associatePromptWithIntegration","parameters":[{"in":"path","name":"integration_provider","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}},{"in":"path","name":"prompt_name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Associate a Prompt Template with an Integration","tags":["integration-resource"]}},"/api/integrations/provider/{name}":{"delete":{"operationId":"deleteIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete an Integration Provider","tags":["integration-resource"]},"get":{"operationId":"getIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Integration"}}},"description":"OK"}},"summary":"Get Integration provider","tags":["integration-resource"]},"post":{"operationId":"saveIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Integration"}}},"description":"OK"}},"summary":"Create or Update Integration provider","tags":["integration-resource"]}},"/api/integrations/provider/{name}/integration":{"get":{"operationId":"getIntegrationApis","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"activeOnly","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationApi"}}}},"description":"OK"}},"summary":"Get Integrations of an Integration Provider","tags":["integration-resource"]}},"/api/integrations/provider/{name}/integration/all":{"get":{"operationId":"getIntegrationAvailableApis","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"description":"OK"}},"summary":"Get Integrations Available for an Integration Provider","tags":["integration-resource"]}},"/api/integrations/provider/{name}/integration/{integration_name}":{"delete":{"operationId":"deleteIntegrationApi","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete an Integration","tags":["integration-resource"]},"get":{"operationId":"getIntegrationApi","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationApi"}}},"description":"OK"}},"summary":"Get Integration details","tags":["integration-resource"]},"post":{"operationId":"saveIntegrationApi","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationApiUpdate"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create or Update Integration","tags":["integration-resource"]}},"/api/integrations/provider/{name}/integration/{integration_name}/tags":{"delete":{"operationId":"deleteTagForIntegration","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for Integration","tags":["integration-resource"]},"get":{"operationId":"getTagsForIntegration","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by Integration","tags":["integration-resource"]},"put":{"operationId":"putTagForIntegration","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"integration_name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to Integration","tags":["integration-resource"]}},"/api/integrations/provider/{name}/tags":{"delete":{"operationId":"deleteTagForIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for Integration Provider","tags":["integration-resource"]},"get":{"operationId":"getTagsForIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by Integration Provider","tags":["integration-resource"]},"put":{"operationId":"putTagForIntegrationProvider","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to Integration Provider","tags":["integration-resource"]}},"/api/integrations/{integrationName}/def/api/{apiName}":{"get":{"operationId":"getIntegrationDefApi","parameters":[{"in":"path","name":"integrationName","required":true,"schema":{"type":"string"}},{"in":"path","name":"apiName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDefApi"}}},"description":"OK"}},"summary":"Get IntegrationConfigApi details","tags":["integration-resource"]}},"/api/integrations/{integrationName}/def/apis":{"get":{"operationId":"getIntegrationDefApis","parameters":[{"in":"path","name":"integrationName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationDefApi"}}}},"description":"OK"}},"summary":"Get IntegrationConfigApi details from integration","tags":["integration-resource"]}},"/api/limits":{"get":{"operationId":"get_3","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"tags":["limits-resource"]}},"/api/metadata/tags":{"get":{"operationId":"getTags_1","responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"uniqueItems":true}}},"description":"OK"}},"summary":"List all tags","tags":["tags"]}},"/api/metadata/tags/grouped":{"get":{"operationId":"getTagsGroupedByResourceType","responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TagGroupSummary"}}}},"description":"OK"}},"summary":"Get all tags grouped by resource type with counts","tags":["tags"]}},"/api/metadata/tags/resources":{"get":{"operationId":"getResourceNamesByTag","parameters":[{"in":"query","name":"tagKey","required":true,"schema":{"type":"string"}},{"in":"query","name":"tagValue","required":true,"schema":{"type":"string"}},{"in":"query","name":"resourceType","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TagResourceItem"}}}},"description":"OK"}},"summary":"Get resource items for a given tag key, value and resource type","tags":["tags"]}},"/api/metadata/task/{taskName}/tags":{"delete":{"operationId":"deleteTaskTag","parameters":[{"in":"path","name":"taskName","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Removes the tag of the task","tags":["tags"]},"get":{"operationId":"getTaskTags","parameters":[{"in":"path","name":"taskName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Returns all the tags of the task","tags":["tags"]},"post":{"operationId":"addTaskTag","parameters":[{"in":"path","name":"taskName","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Adds the tag to the task","tags":["tags"]},"put":{"operationId":"setTaskTags","parameters":[{"in":"path","name":"taskName","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Sets (replaces existing) the tags to the task","tags":["tags"]}},"/api/metadata/taskdefs":{"get":{"operationId":"listTaskDefs","parameters":[{"in":"query","name":"access","required":false,"schema":{"type":"string","default":"READ"}},{"in":"query","name":"metadata","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"tagKey","required":false,"schema":{"type":"string"}},{"in":"query","name":"tagValue","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskDef"}}}},"description":"OK"}},"summary":"Gets all task definition","tags":["metadata-resource"]},"post":{"operationId":"registerTaskDef","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedTaskDef"}}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create or update task definition(s)","tags":["metadata-resource"]},"put":{"operationId":"updateTaskDef","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtendedTaskDef"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Update an existing task","tags":["metadata-resource"]}},"/api/metadata/taskdefs/{tasktype}":{"delete":{"operationId":"unregisterTaskDef","parameters":[{"in":"path","name":"tasktype","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Remove a task definition","tags":["metadata-resource"]},"get":{"operationId":"getTaskDef","parameters":[{"in":"path","name":"tasktype","required":true,"schema":{"type":"string"}},{"in":"query","name":"metadata","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Gets the task definition","tags":["metadata-resource"]}},"/api/metadata/webhook":{"get":{"operationId":"listWebhooks","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WebhookConfig"}}}},"description":"OK"}},"tags":["webhooks-config-resource"]},"post":{"operationId":"createWebhook","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}},"description":"OK"}},"tags":["webhooks-config-resource"]}},"/api/metadata/webhook/{id}":{"delete":{"operationId":"deleteWebhook","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["webhooks-config-resource"]},"get":{"operationId":"getWebhook","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}},"description":"OK"}},"tags":["webhooks-config-resource"]},"put":{"operationId":"updateWebhook","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}},"description":"OK"}},"tags":["webhooks-config-resource"]}},"/api/metadata/webhook/{id}/tags":{"delete":{"operationId":"deleteTagForWebhook","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for webhook id","tags":["webhooks-config-resource"]},"get":{"operationId":"getTagsForWebhook","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by webhook id","tags":["webhooks-config-resource"]},"put":{"operationId":"putTagForWebhook","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to webhook id","tags":["webhooks-config-resource"]}},"/api/metadata/workflow":{"get":{"operationId":"listWorkflowDefs","parameters":[{"in":"query","name":"access","required":false,"schema":{"type":"string","default":"READ"}},{"in":"query","name":"metadata","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"tagKey","required":false,"schema":{"type":"string"}},{"in":"query","name":"tagValue","required":false,"schema":{"type":"string"}},{"in":"query","name":"name","required":false,"schema":{"type":"string"}},{"in":"query","name":"short","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"classifier","required":false,"schema":{"type":"string","default":"workflow"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkflowDef"}}}},"description":"OK"}},"summary":"Retrieves all workflow definition along with blueprint","tags":["metadata-resource"]},"post":{"operationId":"create","parameters":[{"in":"query","name":"overwrite","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"newVersion","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtendedWorkflowDef"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create a new workflow definition","tags":["metadata-resource"]},"put":{"operationId":"update","parameters":[{"in":"query","name":"overwrite","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"newVersion","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedWorkflowDef"}}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Create or update workflow definition(s)","tags":["metadata-resource"]}},"/api/metadata/workflow-importer/import-bpm":{"post":{"operationId":"uploadBpmnFile","parameters":[{"in":"query","name":"overwrite","required":false,"schema":{"type":"boolean","default":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncomingBpmnFile"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtendedWorkflowDef"}}}},"description":"OK"}},"summary":"Imports bpmn workflow","tags":["metadata-resource"]}},"/api/metadata/workflow-task-defs/upload":{"post":{"operationId":"uploadWorkflowsAndTasksDefinitionsToS3","responses":{"200":{"description":"OK"}},"summary":"Upload all workflows and tasks definitions to Object storage if configured","tags":["metadata-resource"]}},"/api/metadata/workflow/{name}":{"get":{"operationId":"get_2","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"metadata","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkflowDef"}}},"description":"OK"}},"summary":"Retrieves workflow definition along with blueprint","tags":["metadata-resource"]}},"/api/metadata/workflow/{name}/tags":{"delete":{"operationId":"deleteWorkflowTag","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Removes the tag of the workflow","tags":["tags"]},"get":{"operationId":"getWorkflowTags","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Returns all the tags of the workflow","tags":["tags"]},"post":{"operationId":"addWorkflowTag","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Adds the tag to the workflow","tags":["tags"]},"put":{"operationId":"setWorkflowTags","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"object"}}},"description":"OK"}},"summary":"Set (replaces all existing) the tags of the workflow","tags":["tags"]}},"/api/metadata/workflow/{name}/{version}":{"delete":{"operationId":"unregisterWorkflowDef","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Removes workflow definition. It does not remove workflows associated with the definition.","tags":["metadata-resource"]}},"/api/metrics/task/{taskName}":{"get":{"description":"Proxy call of task metrics to prometheus","operationId":"prometheusTaskMetrics","parameters":[{"in":"path","name":"taskName","required":true,"schema":{"type":"string"}},{"in":"query","name":"start","required":true,"schema":{"type":"string"}},{"in":"query","name":"end","required":true,"schema":{"type":"string"}},{"in":"query","name":"step","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JsonNode"}}}},"description":"OK"}},"summary":"Returns prometheus task metrics","tags":["metrics-resource"]}},"/api/org/validate-org/{orgId}":{"get":{"operationId":"validateOrganization","parameters":[{"in":"path","name":"orgId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"summary":"Validate if an organization ID exists.","tags":["org-config-resource"]}},"/api/prompts":{"get":{"operationId":"listPromptTemplates","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MessageTemplate"}}}},"description":"OK"}},"summary":"Get Templates","tags":["prompt-resource"]}},"/api/prompts/":{"post":{"operationId":"createMessageTemplates","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MessageTemplate"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create message templates in bulk","tags":["prompt-resource"]}},"/api/prompts/test":{"post":{"operationId":"testMessageTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromptTemplateTestRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}},"description":"OK"}},"summary":"Test Prompt Template","tags":["prompt-resource"]}},"/api/prompts/v2/{name}":{"post":{"operationId":"saveMessageTemplateV2","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageTemplate"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create or Update a template with full configuration (v2)","tags":["prompt-resource"]},"put":{"operationId":"updateMessageTemplateV2","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageTemplate"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Update a template with full configuration (v2)","tags":["prompt-resource"]}},"/api/prompts/{name}":{"delete":{"operationId":"deleteMessageTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete Template","tags":["prompt-resource"]},"get":{"operationId":"getMessageTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageTemplate"}}},"description":"OK"}},"summary":"Get Template","tags":["prompt-resource"]},"post":{"operationId":"saveMessageTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"description","required":true,"schema":{"type":"string"}},{"in":"query","name":"models","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"autoIncrement","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create or Update a template","tags":["prompt-resource"]},"put":{"operationId":"updateMessageTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"description","required":true,"schema":{"type":"string"}},{"in":"query","name":"models","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Create a template","tags":["prompt-resource"]}},"/api/prompts/{name}/tags":{"delete":{"operationId":"deleteTagForPromptTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Delete a tag for Prompt Template","tags":["prompt-resource"]},"get":{"operationId":"getTagsForPromptTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"description":"OK"}},"summary":"Get tags by Prompt Template","tags":["prompt-resource"]},"put":{"operationId":"putTagForPromptTemplate","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"required":true},"responses":{"200":{"description":"OK"}},"summary":"Put a tag to Prompt Template","tags":["prompt-resource"]}},"/api/prompts/{name}/versions":{"get":{"operationId":"getMessageTemplateVersions","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MessageTemplate"}}}},"description":"OK"}},"summary":"Get all versions of a Template","tags":["prompt-resource"]}},"/api/prompts/{name}/versions/{version}":{"delete":{"operationId":"deleteMessageTemplate_1","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}},{"in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Delete Template","tags":["prompt-resource"]}},"/api/providers/status":{"get":{"operationId":"status","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"tags":["provider-controller"]}},"/api/queue/":{"get":{"operationId":"names","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"description":"OK"}},"summary":"Get Queue Names","tags":["queue-admin-resource"]}},"/api/queue/size":{"get":{"operationId":"size_1","responses":{"200":{"content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}},"description":"OK"}},"summary":"Get the queue length","tags":["queue-admin-resource"]}},"/api/registry/service":{"get":{"operationId":"listAllServices","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceRegistry"}}}},"description":"OK"}},"tags":["service-registry-resource"]},"post":{"operationId":"addOrUpdateService","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRegistry"}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["service-registry-resource"]}},"/api/registry/service/protos/{registryName}":{"get":{"operationId":"getAllProtos","parameters":[{"in":"path","name":"registryName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProtoRegistryEntry"}}}},"description":"OK"}},"tags":["service-registry-resource"]}},"/api/registry/service/protos/{registryName}/{filename}":{"delete":{"operationId":"deleteProto","parameters":[{"in":"path","name":"registryName","required":true,"schema":{"type":"string"}},{"in":"path","name":"filename","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["service-registry-resource"]},"get":{"operationId":"getProtoData","parameters":[{"in":"path","name":"registryName","required":true,"schema":{"type":"string"}},{"in":"path","name":"filename","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}},"application/octet-stream":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}},"description":"OK"}},"tags":["service-registry-resource"]},"post":{"operationId":"setProtoData","parameters":[{"in":"path","name":"registryName","required":true,"schema":{"type":"string"}},{"in":"path","name":"filename","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK"}},"tags":["service-registry-resource"]}},"/api/registry/service/{name}":{"delete":{"operationId":"removeService","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"tags":["service-registry-resource"]},"get":{"operationId":"getService_1","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceRegistry"}}},"description":"OK"}},"tags":["service-registry-resource"]}},"/api/registry/service/{name}/circuit-breaker/close":{"post":{"operationId":"closeCircuitBreaker","parameters":[{"in":"path","name":"name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CircuitBreakerTransitionResponse"}}},"description":"OK"}},"tags":["service-registry-resource"]}},"/
[...]
